net.dontdrinkandroot.wicket.bootstrap.component.form

## Class FormHorizontal<T>

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.MarkupContainer
    - - org.apache.wicket.markup.html.WebMarkupContainer
      - - org.apache.wicket.markup.html.form.Form<T>
        - - net.dontdrinkandroot.wicket.bootstrap.component.form.FormHorizontal<T>

All Implemented Interfaces:
  Serializable, Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.IGenericComponent<T>, org.apache.wicket.IRequestListener, org.apache.wicket.markup.html.form.IFormSubmitListener, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

    public class FormHorizontal<T>
    extends org.apache.wicket.markup.html.form.Form<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wicket.markup.html.form.Form

`org.apache.wicket.markup.html.form.Form.MethodMismatchResponse, org.apache.wicket.markup.html.form.Form.ValidationVisitor`

### Field Summary

### Fields inherited from class org.apache.wicket.markup.html.form.Form

`ENCTYPE_MULTIPART_FORM_DATA, METHOD_GET, METHOD_POST`

### Fields inherited from class org.apache.wicket.Component

`ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

### Fields inherited from interface org.apache.wicket.markup.html.form.IFormSubmitListener

`INTERFACE`

### Constructor Summary

Constructors
Constructor and Description
`FormHorizontal(String id, net.dontdrinkandroot.wicket.css.CssClass labelColumnSize, net.dontdrinkandroot.wicket.css.CssClass formComponentColumnSize)`
`FormHorizontal(String id, org.apache.wicket.model.IModel<T> model, net.dontdrinkandroot.wicket.css.CssClass labelColumnSize, net.dontdrinkandroot.wicket.css.CssClass formComponentColumnSize)`

### Method Summary

Methods
`net.dontdrinkandroot.wicket.css.CssClass` `getFormComponentColumnSize()`
`net.dontdrinkandroot.wicket.css.CssClass` `getLabelColumnSize()`
`protected void` `onInitialize()`

### Methods inherited from class org.apache.wicket.markup.html.form.Form

`add, appendDefaultButtonField, beforeUpdateFormComponentModels, callOnError, clearInput, delegateSubmit, encodeUrlInHiddenFields, error, findForm, findSubmittingButton, getActionUrl, getDefaultButton, getFormValidators, getHiddenFieldId, getInputNamePrefix, getJsForInterfaceUrl, getMaxSize, getMethod, getModel, getModelObject, getRootForm, getRootFormRelativeId, getStatelessHint, getValidatorKeyPrefix, handleMultiPart, hasError, internalOnModelChanged, isMultiPart, isRootForm, isSubmitted, markFormComponentsInvalid, markFormComponentsValid, onBeforeRender, onComponentTag, onComponentTagBody, onDetach, onError, onFileUploadException, onFormSubmitted, onFormSubmitted, onMethodMismatch, onSubmit, onValidate, onValidateModelObjects, process, registerJavaScriptNamespaces, remove, renderHead, renderPlaceholderTag, setDefaultButton, setMaxSize, setModel, setModelObject, setMultiPart, setVersioned, updateFormComponentModels, validate, validateComponents, validateFormValidator, validateFormValidators, visitFormComponents, visitFormComponentsPostOrder, wantSubmitOnNestedFormSubmit, writeParamsAsHiddenFields`

### Methods inherited from class org.apache.wicket.markup.html.WebMarkupContainer

`getWebPage, getWebRequest, getWebResponse, getWebSession`

### Methods inherited from class org.apache.wicket.MarkupContainer

`add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, getMarkupType, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onRender, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, toString, visitChildren, visitChildren, visitChildren, visitChildren`

### Methods inherited from class org.apache.wicket.Component

`add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModel, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, newMarkupSourcingStrategy, onAfterRender, onConfigure, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormHorizontal

    public FormHorizontal(String id,
                  net.dontdrinkandroot.wicket.css.CssClass labelColumnSize,
                  net.dontdrinkandroot.wicket.css.CssClass formComponentColumnSize)

#### FormHorizontal

    public FormHorizontal(String id,
                  org.apache.wicket.model.IModel<T> model,
                  net.dontdrinkandroot.wicket.css.CssClass labelColumnSize,
                  net.dontdrinkandroot.wicket.css.CssClass formComponentColumnSize)

### Method Detail

#### onInitialize

    protected void onInitialize()

Overrides:
  `onInitialize` in class `org.apache.wicket.Component`

#### getLabelColumnSize

    public net.dontdrinkandroot.wicket.css.CssClass getLabelColumnSize()

#### getFormComponentColumnSize

    public net.dontdrinkandroot.wicket.css.CssClass getFormComponentColumnSize()